#!/usr/bin/perl
#
# SmoothWall CGIs
#
# This code is distributed under the terms of the GPL
#
# (c) The SmoothWall Team
# Copyright (c) 2002/04/13 Steve Bootes - Add source IP support
#
# $Id: lcdd.cgi,v 0.1. 2005/10/30 12:00:00 sef Exp $
#
	

require '/var/ipcop/general-functions.pl';
require "${General::swroot}/lang.pl";
require "${General::swroot}/header.pl";

my (%cgiparams,%selected,%checked);

my $configfile = "/etc/LCDd.conf";
my $messagefile = "/usr/local/lcdproc/welcome.txt";
my $rcinitfile = "/tmp/LCDd/setup/lcd.rc.local";
my $errormessage = '';
my $LCDdSettingsCGI = '/cgi-bin/lcdd.cgi';


&Header::showhttpheaders();

&Header::getcgihash(\%cgiparams);

&Header::openpage($Lang::tr{'lcdd configuration'}, 1, '');
&Header::openbigbox('100%', 'left');

if ($cgiparams{'ACTION'} eq $Lang::tr{'lcdd action'} )
{

    open(FILE, ">$configfile") or die 'Unable to open config file.';
    my @current = <FILE>;
    print FILE "$cgiparams{'CFGTEXT'}";
    close(FILE);

    open(FILE, ">$messagefile") or die 'Unable to open config file.';
    my @current = <FILE>;
    print FILE "$cgiparams{'MSGETEXT'}";
    close(FILE);

    open(FILE, ">$rcinitfile") or die 'Unable to open config file.';
    my @current = <FILE>;
    print FILE "$cgiparams{'RCINITTEXT'}";
    close(FILE);

    open(FILE, ">/etc/LCDd.flag") or die 'Unable to open config file.';
    my @current = <FILE>;
    if ( $cgiparams{'ACTIVATE'}){
        print FILE "init=x\n";
    } else {
        print FILE "init=\n";
    }
    close(FILE);
}

if ($errormessage) {
    &Header::openbox('100%', 'left', $Lang::tr{'error messages'});
    print "<class name='base'><font color='$colourred'>$errormessage\n</font>";
    print "&nbsp;</class>\n";
    &Header::closebox();
}

print "<form method='post' action='$LCDdSettingsCGI'>";

&Header::openbox('100%', 'left', $configfile);
$conftext = `cat $configfile`;

print <<END;
    <textarea name="CFGTEXT" cols="80" rows="12" warp="off">$conftext</textarea>
END

&Header::closebox();

&Header::openbox('100%', 'left', $messagefile);
$messagetext = `cat $messagefile`;

print <<END;
    <textarea name="MSGETEXT" cols="40" rows="4" warp="off">$messagetext</textarea>
END

&Header::closebox();

&Header::openbox('100%', 'left', 'rc.init');

print "<H2>$Lang::tr{'lcdd message'}</H2><br>";
$rcinittext = `cat $rcinitfile`;
print <<END;
    <textarea name="RCINITTEXT" cols="80" rows="13" warp="off">$rcinittext</textarea>
    <br><hr size='1'>
    <br>
    <center>
		<input type='checkbox' name='ACTIVATE' checked='checked' />
		&nbsp;$Lang::tr{'lcdd activate'}<BR>
	<input type='submit' name='ACTION' value=$Lang::tr{'lcdd action'} />
    </form>
END

&Header::closebox();
&Header::closebigbox();
&Header::closepage();
